package org.dromara.inspection.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.inspection.domain.bo.ArStepMediaBo;
import org.dromara.inspection.domain.vo.ArStepMediaVo;

import java.util.Collection;
import java.util.List;

/**
 * 步骤媒体文件Service接口
 *
 * @author Lion Li
 * @date 2025-01-13
 */
public interface IArStepMediaService {

    /**
     * 查询单个
     *
     * @return
     */
    ArStepMediaVo queryById(Long id);

    /**
     * 查询列表
     */
    TableDataInfo<ArStepMediaVo> queryPageList(ArStepMediaBo bo, PageQuery pageQuery);

    /**
     * 查询列表
     */
    List<ArStepMediaVo> queryList(ArStepMediaBo bo);

    /**
     * 根据新增业务对象插入步骤媒体文件
     *
     * @param bo 步骤媒体文件新增业务对象
     * @return
     */
    Boolean insertByBo(ArStepMediaBo bo);

    /**
     * 根据编辑业务对象修改步骤媒体文件
     *
     * @param bo 步骤媒体文件编辑业务对象
     * @return
     */
    Boolean updateByBo(ArStepMediaBo bo);

    /**
     * 校验并删除数据
     *
     * @param ids     主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
